//
//  AppDelegate.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import UIKit
import BFCommonKit
import BFMaterialKit

@main
class AppDelegate: UIResponder, UIApplicationDelegate {
    var window: UIWindow?
    
    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
        // Override point for customization after application launch.
        BFConfig.shared.styleColor = .nomal
        BFConfig.shared.statusBarStyle = .light
        BFConfig.shared.styleBackGroundColor = UIColor.black
        BFConfig.shared.styleTitleColor = UIColor.white
        BFConfig.shared.cutViewStyleColor = UIColor.white
        BFConfig.shared.cutViewTintColor = UIColor.black
        BFConfig.shared.pointEditNamalBackgroundColor = UIColor.hexColor(hexadecimal: "#1A1A1A")
        BFMaterialConfig.shared.materialDeleteImage =  UIImage.moduleImage(named: "icon_search_delete", moduleName: "BFMaterialKit") ?? UIImage.init()
        BFConfig.shared.cutDurationColor = UIColor(red: 238.0 / 255.0, green: 0 / 255.0, blue: 81.0 / 255.0, alpha: 0.1)
        BFConfig.shared.hiddenMusicMask = false
        BFConfig.shared.otherTintColor = UIColor.hexColor(hexadecimal: "#333333")
        BFConfig.shared.statusBarStyle = .light
        BFMaterialConfig.shared.choseType = .single
        return true
    }

    // MARK: 前后台 Lifecycle

    func applicationWillResignActive(_ application: UIApplication) {
        
    }
    
    func applicationDidEnterBackground(_ application: UIApplication) {
        
    }

}

