//
//  INIntrocudeController.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import Foundation
import BFUIKit
import Photos
import BFRecordScreenKit

class INIntrocudeController: BFBaseViewController {
    
    var asset:PHAsset?

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let vc = BFRecordScreenController()
        vc.asset = asset
        vc.nextActionHandle = {
            DispatchQueue.main.async { [weak self] in
                let controller = INVideoExportController()
                controller.export.voiceList = vc.recordList
                controller.export.asset = vc.avasset
                self?.navigationController?.pushViewController(controller, animated: true)
            }
        }
        vc.closeActionHandle = {
            self.backBtnClick()
        }
        vc.view.frame = self.view.frame
        addChild(vc)
        view.addSubview(vc.view)
    }
    
}
