//
//  INRecorderController.swift
//  Introduce
//
//  Created by 胡志强 on 2021/11/29.
//

import Foundation
import BFUIKit
import BFFramework
import BFRecordScreenKit
import BFMaterialKit

class INRecorderController: BFBaseViewController {
    
    lazy var addVideoBtn:UIButton = {
        let btn = UIButton(type: .custom)
//        btn.setTitle("Add", for: .normal)
        btn.setImage(UIImage(named: "add"), for: .normal)
        btn.addTarget(self, action: #selector(addVideo), for: .touchUpInside)
        return btn
    }()
    
    override func viewWillAppear(_ animated: Bool) {
        super.viewWillAppear(animated)
        hiddenNavigation()
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        view.backgroundColor = .black
        view.addSubview(addVideoBtn)
        addVideoBtn.snp.makeConstraints { make in
            make.width.height.equalTo(170)
            make.center.equalToSuperview()
        }
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    @objc func addVideo(){
        let vc = INPhotoVideosController()
        vc.hidesBottomBarWhenPushed = true
        self.navigationController?.pushViewController(vc, animated: true)
    }
    
}
